Package org.tanukisoftware.wrapper.event

# Class WrapperServicePauseEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperServiceEvent
org.tanukisoftware.wrapper.event.WrapperServiceActionEvent
org.tanukisoftware.wrapper.event.WrapperServicePauseEvent

All Implemented Interfaces:
  `Serializable`

public class WrapperServicePauseEvent extends WrapperServiceActionEvent
WrapperServicePauseEvents are used to notify the listener that the Wrapper is requesting that the Java application be paused. This does not mean that it should exit, only that it should internally go into an idle state. See the wrapper.pausable and wrapper.pausable.stop_jvm properties for more information.

Since:
  Wrapper 3.5.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.tanukisoftware.wrapper.event.WrapperServiceActionEvent

`SOURCE_CODE_COMMAND_BLOCK_TIMEOUT, SOURCE_CODE_COMMANDFILE, SOURCE_CODE_DEADLOCK, SOURCE_CODE_FILTER, SOURCE_CODE_ON_EXIT, SOURCE_CODE_SIGNAL, SOURCE_CODE_TIMER, SOURCE_CODE_WINDOWS_SERVICE_MANAGER`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WrapperServicePauseEvent(int actionSourceCode)`
Creates a new WrapperServicePauseEvent.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of the event.

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperServiceActionEvent

`getSourceCode, getSourceCodeName, getSourceCodeName`

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperServiceEvent

`getFlags`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperServicePauseEvent

public WrapperServicePauseEvent(int actionSourceCode)
Creates a new WrapperServicePauseEvent.

Parameters:
  `actionSourceCode` - Source Code specifying where the pause action originated.

## Method Details

### toString

public String toString()
Returns a string representation of the event.

Overrides:
  `toString` in class `WrapperServiceActionEvent`
Returns:
  A string representation of the event.